UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Adventurer
Adventurer
830 Views
Registered: ‎03-21-2010

Import xfDNN error

Hi,

I am using ML suite 1.2 and I got a error message when I want to import xfDNN in python: The key error message is :

ImportError: /ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/site-packages/caffe/../../../libcaffe.so.1.0.0: undefined symbol: _ZN6google4base21CheckOpMessageBuilder9NewStringB5cxx11Ev

Please help me to solve this problem.

Thanks

The whole error message are:

>>> from xfdnn.tools.compile.bin.xfdnn_compiler_caffe import CaffeFrontend as xfdnnCompiler
['/home/jerry/projects/ML-suite/ml-suite-1.2/parallel', '/home/jerry/projects/ML-suite/ml-suite-1.2/bin', '/home/jerry/projects/ML-suite/ml-suite-1.2/version', '/home/jerry/projects/ML-suite/ml-suite-1.2/weights', '/home/jerry/projects/ML-suite/ml-suite-1.2/optimizations', '/home/jerry/projects/ML-suite/ml-suite-1.2/network', '/home/jerry/projects/ML-suite/ml-suite-1.2/memory', '/home/jerry/projects/ML-suite/ml-suite-1.2/graph', '/home/jerry/projects/ML-suite/ml-suite-1.2/codegeneration', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../weights', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../tests', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../docs', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../codegeneration', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../network', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../version', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../bin', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../pickle', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../frontends', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../graph', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../optimizations', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../fpga_definition', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../parallel', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin/../memory', '', '/home/jerry/projects/ML-suite/ml-suite-1.2', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/rt', '/home/jerry/projects/ML-suite/ml-suite-1.2/ext', '/home/jerry/projects/ML-suite/ml-suite-1.2/apps/yolo', '/home/jerry/projects/ML-suite/ml-suite-1.2/apps/yolo/nms', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/emu', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/network', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/graph', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/optimizations', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/codegeneration', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/memory', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/version', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/weights', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/bin', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfdnn/tools/compile/parallel', '/home/jerry/projects/ML-suite/ml-suite-1.2/xfmlp/python', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python27.zip', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/plat-linux2', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/lib-tk', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/lib-old', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/lib-dynload', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/site-packages', '/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/site-packages/pydot_ng-1.0.1.dev0-py2.7.egg']
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "./xfdnn/tools/compile/bin/xfdnn_compiler_caffe.py", line 53, in <module>
File "/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/site-packages/caffe/__init__.py", line 1, in <module>
from .pycaffe import Net, SGDSolver, NesterovSolver, AdaGradSolver, RMSPropSolver, AdaDeltaSolver, AdamSolver, NCCL, Timer
File "/ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/site-packages/caffe/pycaffe.py", line 13, in <module>
from ._caffe import Net, SGDSolver, NesterovSolver, AdaGradSolver, \
ImportError: /ap/anaconda2/5.1.0/envs/ml-suite/lib/python2.7/site-packages/caffe/../../../libcaffe.so.1.0.0: undefined symbol: _ZN6google4base21CheckOpMessageBuilder9NewStringB5cxx11Ev
>>>

0 Kudos
5 Replies
Contributor
Contributor
810 Views
Registered: ‎11-08-2018

Re: Import xfDNN error

The issue may be due to Environment not set

$ export XFDNN_ROOT=/ml-suite/xfdnn

$ export MLSUITE_ROOT=/ml-suite

0 Kudos
Adventurer
Adventurer
797 Views
Registered: ‎03-21-2010

Re: Import xfDNN error

Hi, 

I reinstall an anaconda virtual environment. This problem had been solved.

 

Thanks

 

0 Kudos
Visitor ap-nsg
Visitor
542 Views
Registered: ‎08-07-2018

Re: Import xfDNN error

Having the same issue:

After activating conda; verifying the environment by importing caffe in pythonpython -c "import caffe"  generates the following error message:

ImportError: /home/.../anaconda2/envs/ml-suite/lib/python2.7/site-packages/caffe/../../../libcaffe.so.1.0.0: undefined symbol: _ZN7leve........SsPPS0_ 

Any idea?

0 Kudos
Xilinx Employee
Xilinx Employee
394 Views
Registered: ‎09-28-2017

Re: Import xfDNN error

hi,

I met the same issue, could you let me know did you resolved it? Thanks in advance.

0 Kudos
Visitor ap-nsg
Visitor
365 Views
Registered: ‎08-07-2018

Re: Import xfDNN error

Hi,

In order to solve it, I had to reinstall some of the specific libraries in the error message in anaconda.

Apparently some updates of the packages causing the original install as described in the instructions to be incorrect

0 Kudos